Bug 510346 - Include FirstAidKit package in RHEL6
Include FirstAidKit package in RHEL6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firstaidkit (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Martin Sivák
Release Test Team
: FutureFeature, TechPreview
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 14:43 EDT by Denise Dumas
Modified: 2010-07-02 15:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: firstaidkit-0.2.10-1.el6
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denise Dumas 2009-07-08 14:43:09 EDT
Description of problem:

Firstaidkit is an automated system recovery tool that brings together common recovery processes and applies them to a system. Firstaidkit handles the recovery processes by means of plugins. Each plugin provides problem detection and correction for a specific common problem area in the system, such as grub, init scripts or Xserver. Firstaidkit is designed to automatically fix problems while focusing on maintaining user data integrity.

http://fedoraproject.org/wiki/Anaconda/Features/FirstAidKit

Version-Release number of selected component (if applicable):
RHEL6
Comment 1 RHEL Product and Program Management 2009-07-08 14:58:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Denise Dumas 2009-11-13 14:40:20 EST
Ack - the package owner should be Martin Sivak, msivak@redhat.com
Comment 3 Denise Dumas 2010-01-28 16:09:22 EST
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-plugin-passwd-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-plugin-all-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-plugin-key-recovery-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-plugin-mdadm-conf-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-plugin-xserver-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-devel-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-gui-0.2.8-6.el6.x86_64.rpm
firstaidkit/0.2.8/6.el6/x86_64/firstaidkit-plugin-grub-0.2.8-6.el6.x86_64.rpm


FAK and its plugins are in the nightly for Beta 1.  Setting this to on-qa.
Comment 4 Alexander Todorov 2010-04-26 08:02:43 EDT
firstaidkit-0.2.10-2.el6 and the plugins firstaidkit-plugin-key-recovery, firstaidkit-plugin-mdadm-conf, firstaidkit-plugin-grub, firstaidkit-plugin-xserver, firstaidkit-plugin-passwd, firstaidkit-plugin-all are present in latest compose. Moving to VERIFIED.
Comment 5 Martin Sivák 2010-04-27 08:10:03 EDT
alex: The structure changed a bit, can you check if firstaidkit-engine-0.2.10-2.el6 is present and if firstaidkit starts in rescue mode please?
Comment 6 releng-rhel@redhat.com 2010-07-02 15:05:54 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.